<?php

namespace App\Entity;

use App\Repository\ContratsLineRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: ContratsLineRepository::class)]
class ContratsLine
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'contratsLines')]
    private ?Contrats $contrat = null;

    #[ORM\Column(length: 255)]
    private ?string $name = null;

    #[ORM\Column]
    private ?float $price1DayHt = null;

    #[ORM\Column]
    private ?float $priceSupDayHt = null;

    #[ORM\Column]
    private ?float $caution = null;

    #[ORM\Column(length: 255, options: ['default' => 'product'])]
    private ?string $type = 'product';

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getContrat(): ?Contrats
    {
        return $this->contrat;
    }

    public function setContrat(?Contrats $contrat): static
    {
        $this->contrat = $contrat;

        return $this;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): static
    {
        $this->name = $name;

        return $this;
    }

    public function getPrice1DayHt(): ?float
    {
        return $this->price1DayHt;
    }

    public function setPrice1DayHt(float $price1DayHt): static
    {
        $this->price1DayHt = $price1DayHt;

        return $this;
    }

    public function getPriceSupDayHt(): ?float
    {
        return $this->priceSupDayHt;
    }

    public function setPriceSupDayHt(float $priceSupDayHt): static
    {
        $this->priceSupDayHt = $priceSupDayHt;

        return $this;
    }

    public function getCaution(): ?float
    {
        return $this->caution;
    }

    public function setCaution(float $caution): static
    {
        $this->caution = $caution;

        return $this;
    }

    public function getType(): ?string
    {
        return $this->type;
    }

    public function setType(string $type): static
    {
        $this->type = $type;

        return $this;
    }
}
